Gem::Specification.new do |spec|
  spec.name          = "each_line"
  spec.version       = "0.1.0"
  spec.authors       = ["Josh Bodah"]
  spec.email         = ["joshuabodah@gmail.com"]

  spec.summary       = %q{a text processing command-line tool that is driven by Ruby's `#each_line`}
  spec.homepage      = "https://github.com/jbodah/each_line"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  spec.metadata["homepage_uri"] = spec.homepage

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
end
